Subject: Re: bug#21364: [PATCH] Add vc-activate (interactive) to activate VC mode on the current buffer

From: Stefan Monnier <[email-masked]>
Date: Thu, 27 Aug 2015 22:23:07 -0400

> The motivation comes from the fact that I don't consistently use VC for
> everything. I often pop back and forth to the command line, depending on
> the situation. This ends up with a lot of "git add" commands being run
> behind emacs's back. I've been using `M-x revert-buffer` or `C-x C-v`,
> but both of them seem too harsh for what I really want, which is for VC
> to just check again real quick. I could `M-: RET (vc-find-file-hook)`
> but that doesn't roll off the tongue very well.

Rather than vc-activate, I think you want a more general function, which
*refreshes* the VC state (i.e. the state afterwards may be "inactive" if
the file is not under the control of a VCS, for example).

        Stefan